Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240390 - app-pda/jpilot-{backup, plucker} fail to build (missing pkg-config?)
Summary: app-pda/jpilot-{backup, plucker} fail to build (missing pkg-config?)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo PDA Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-07 15:43 UTC by Evil Compile Person
Modified: 2010-07-13 14:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---
sping: Bugday+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Evil Compile Person 2008-10-07 15:43:59 UTC
checking pilot-link version ... pi-version indicates 0.12.3                        
pilot-link has card support (>12.0)                                                
checking for pkg-config... no                                                      
checking for GTK+ - version >= 2.0.3... no                                         
*** A new enough version of pkg-config was not found.                              
*** See http://pkgconfig.sourceforge.net                                           
configure: error: *** GTK >= 2.0.3 not found ***

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/app-pda/jpilot-backup-0.53/work/jpilot-backup-0.53/config.log
 *
 * ERROR: app-pda/jpilot-backup-0.53 failed.

Portage 2.1.4.4 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-hardened-r4 i686)                                                                        
=================================================================                  
System uname: 2.6.25-hardened-r4 i686 Intel(R) Xeon(R) CPU E5420 @ 2.50GHz         
Timestamp of tree: Sun, 05 Oct 2008 13:45:04 +0000                                 
app-shells/bash:     3.2_p33                                                       
dev-lang/python:     2.5.2-r7                                                      
sys-apps/baselayout: 1.12.11.1                                                     
sys-apps/sandbox:    1.2.18.1-r2                                                   
sys-devel/autoconf:  2.61-r2                                                       
sys-devel/automake:  1.10.1-r1                                                     
sys-devel/binutils:  2.18-r3                                                       
sys-devel/gcc-config: 1.4.0-r4                                                     
sys-devel/libtool:   1.5.26                                                        
virtual/os-headers:  2.6.23-r3                                                     
ACCEPT_KEYWORDS="x86"                                                              
CBUILD="i686-pc-linux-gnu"                                                         
CFLAGS="-O2 -march=i686 -pipe"                                                     
CHOST="i686-pc-linux-gnu"                                                          
CONFIG_PROTECT="/etc"                                                              
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/splash /etc/terminfo /etc/udev/rules.d"                                                     
CXXFLAGS="-O2 -march=i686 -pipe"                                                   
DISTDIR="/usr/portage/distfiles"                                                   
FEATURES="buildpkg distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"                                                                      
GENTOO_MIRRORS="ftp://ftp.sunet.se/pub/Linux/distributions/gentoo"                 
LDFLAGS="-Wl,-O1"                                                                  
MAKEOPTS="-j4"                                                                     
PKGDIR="/usr/portage/packages"                                                     
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                           
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl berkdb bzip2 cli cracklib crypt cups dri fortran gcj gdbm gpm iconv ipv6 isdnlog midi mudflap ncurses nls nptl nptlonly objc openmp pam pcre perl pppd python readline reflection session spl ssl sysfs tcpd unicode x86 xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glkhd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Evil Compile Person 2008-10-07 15:44:40 UTC
app-pda/jpilot-plucker-0.01 the same
Comment 2 Akkana Peck 2009-10-15 00:04:18 UTC
The listed Homepage for jpilot-plucker also no longer exists (http://jasonday.home.att.net/code/jpilot-plucker/jpilot-plucker.html)
Comment 3 Sebastian Pipping gentoo-dev 2010-04-03 05:33:44 UTC
This is three bugs in one by now.  Please open seperate bugs in the future!

Renaming to ease things for bugday scripts.
Comment 4 Samuli Suominen gentoo-dev 2010-07-13 14:07:17 UTC
both fixed, also version bumped...